## org.apache.tools.ant.taskdefs
Class XSLTProcess.Param

    java.lang.Object
      org.apache.tools.ant.taskdefs.XSLTProcess.Param

Enclosing class:
  XSLTProcess

public static class XSLTProcess.Param
extends java.lang.Object

The Param inner class used to store XSL parameters

Constructor Summary
`XSLTProcess.Param()`

Method Summary
`java.lang.String` `getExpression()` Get the parameter expression
`java.lang.String` `getName()` Get the parameter name
`void` `setExpression(java.lang.String expression)` The XSL expression for the parameter value
`void` `setName(java.lang.String name)` Set the parameter name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcess.Param

    public XSLTProcess.Param()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the parameter name.

  Parameters:
    `name` - the name of the parameter.

### setExpression

    public void setExpression(java.lang.String expression)

  The XSL expression for the parameter value

  Parameters:
    `expression` - the XSL expression representing the parameter's value.

### getName

    public java.lang.String getName()
                             throws BuildException

  Get the parameter name

  Returns:
    the parameter name
  Throws:
    `BuildException` - if the name is not set.

### getExpression

    public java.lang.String getExpression()
                                   throws BuildException

  Get the parameter expression

  Returns:
    the parameter expression
  Throws:
    `BuildException` - if the expression is not set.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.